<!DOCTYPE HTML>
<html lang="en">
    <meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no' />
    <head>
        <style>
            a.jsoneditor-value.jsoneditor-url {
                word-break: break-all;
            }
        </style>
        <!-- when using the mode "code", it's important to specify charset utf-8 -->
        <meta charset="utf-8">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jsoneditor/9.10.3/jsoneditor.css" integrity="sha512-/JghmMAi5bleEgj1BT7h7Jm2+o4I4AbJYRVaY3eGGfdyTzV+yW3n0IedWH4ysbws5zpNK1beCqVJh0MSZxvNaA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jsoneditor/9.10.3/jsoneditor.min.js" integrity="sha512-TINESV2NynbuCVWErXJOCrqZCZPwUjjcRdOWUqfEQl35n/oEYJETHnhl9B3D4q/yJqnzFFLJZNP+ANYyxj4lcQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    </head>
    <body>
        <div id="jsoneditor" style="width: 100%; height: 100%;"></div>
        <script>
            // create the editor
            const container = document.getElementById("jsoneditor")
            const options = {
                onChangeText: function(jsonText){
                    Android.tokenChanged(jsonText);
                },
                search: false,
                mainMenuBar: false,
                enableTransform: false,
                limitDragging: true,
                mode: 'VIEW_MODE',
            }
            const editor = new JSONEditor(container, options)
            // set json
            const initialJson = TOKEN
            editor.set(initialJson)
            editor.expandAll()
            // get json
            const updatedJson = editor.get()
        </script>
    </body>
</html>
